<?php

/////////////////////////////////////////////////////////////////////////////
// General information
/////////////////////////////////////////////////////////////////////////////

$app['basename'] = 'kopano';
$app['version'] = '2.3.18';
$app['release'] = '1';
$app['vendor'] = 'ClearFoundation';
$app['packager'] = 'ClearFoundation';
$app['license'] = 'GPLv3';
$app['license_core'] = 'GPLv3';
$app['description'] = lang('kopano_app_description');

/////////////////////////////////////////////////////////////////////////////
// App name and categories
/////////////////////////////////////////////////////////////////////////////

$app['name'] = lang('kopano_app_name');
$app['category'] = lang('base_category_server');
$app['subcategory'] = lang('base_subcategory_messaging_and_collaboration');
$app['menu_enabled'] = FALSE;

/////////////////////////////////////////////////////////////////////////////
// Packaging
/////////////////////////////////////////////////////////////////////////////

$app['core_obsoletes'] = array(
    'zarafa-z-push',
);

$app['requires'] = array(
    'app-groups',
    'app-smtp >= 1:1.2.4',
    'app-users',
);

$app['core_requires'] = array(
    'app-accounts-core >= 1:1.4.14',
    'app-certificate-manager-core >= 1:1.4.15',
    'app-contact-extension-core',
    'app-mail-extension-core >= 1:1.1.1',
    'app-kopano-extension-core',
    'app-mail-routing-core',
    'app-openldap-directory-core', 
    'app-smtp-core',
    'app-system-database-core',
    'app-tasks-core',
    'app-users-core >= 1:1.4.21',
    'app-web-server-core',
    'imapsync',
    'kopano-server-packages >= 8.7.5',
    'kopano-client',
    'kopano-contacts',
    'kopano-webapp',
    'kopano-webapp-lang',
    'kopano-webapp-plugin-contactfax',
    'kopano-webapp-plugin-delayeddelivery',
    'kopano-webapp-plugin-filepreviewer',
    'kopano-webapp-plugin-folderwidgets',
    'kopano-webapp-plugin-gmaps',
    'kopano-webapp-plugin-pimfolder',
    'kopano-webapp-plugin-quickitems',
    'kopano-webapp-plugin-titlecounter',
    'kopano-webapp-plugin-webappmanual',
    'z-push-common',
    'z-push-config-apache',
    'z-push-backend-kopano',
    'z-push-ipc-sharedmemory',
);

$app['core_file_manifest'] = array(
    'kopano-condrestart' => array(
        'target' => '/usr/sbin/kopano-condrestart',
        'mode' => '0755',
    ),
    'kopano-server-check' => array(
        'target' => '/usr/sbin/kopano-server-check',
        'mode' => '0755',
    ),
    'kopano-upgrade' => array(
        'target' => '/usr/sbin/kopano-upgrade',
        'mode' => '0755',
    ),
    'kopano-accounts-event' => array(
        'target' => '/var/clearos/events/accounts/kopano',
        'mode' => '0755',
    ),
    'kopano_certificate_manager_event' => array(
        'target' => '/var/clearos/events/certificate_manager/kopano',
        'mode' => '0755',
    ),
    'kopano.conf' => array('target' => '/etc/clearos/kopano.conf'),
    'app-kopano.cron' => array('target' => '/etc/cron.d/app-kopano'),
    'ldap.cfg'=> array('target' => '/var/clearos/ldap/synchronize/ldap.cfg'),
    'kopano-dagent.php'=> array('target' => '/var/clearos/base/daemon/kopano-dagent.php'),
    'kopano-gateway.php'=> array('target' => '/var/clearos/base/daemon/kopano-gateway.php'),
    'kopano-ical.php'=> array('target' => '/var/clearos/base/daemon/kopano-ical.php'),
    'kopano-search.php'=> array('target' => '/var/clearos/base/daemon/kopano-search.php'),
    'kopano-monitor.php'=> array('target' => '/var/clearos/base/daemon/kopano-monitor.php'),
    'kopano-presence.php'=> array('target' => '/var/clearos/base/daemon/kopano-presence.php'),
    'kopano-server.php'=> array('target' => '/var/clearos/base/daemon/kopano-server.php'),
    'kopano-spooler.php'=> array('target' => '/var/clearos/base/daemon/kopano-spooler.php'),
    'kopano-ldap-aliases.cf'=> array('target' => '/var/clearos/ldap/synchronize/kopano-ldap-aliases.cf'),
    'kopano-ldap-groups.cf'=> array('target' => '/var/clearos/ldap/synchronize/kopano-ldap-groups.cf'),
);

$app['core_directory_manifest'] = array(
    '/etc/kopano/ssl' => array(
        'mode' => '0700',
        'owner' => 'root',
        'group' => 'root',
    ),
    '/etc/kopano/sslkeys' => array(
        'mode' => '0700',
        'owner' => 'root',
        'group' => 'root',
    ),
    '/var/lib/kopano/attachments' => array(
        'mode' => '0755',
        'owner' => 'kopano',
        'group' => 'kopano',
    ),
    '/etc/kopano/gateway' => array(),
    '/var/clearos/kopano' => array(),
    '/var/clearos/kopano/backup' => array(),
);

/////////////////////////////////////////////////////////////////////////////
// App Removal Dependencies
/////////////////////////////////////////////////////////////////////////////

$app['delete_dependency'] = array(
    'kopano-server-packages',
    'kopano-gateway',
    'kopano-server',
    'kopano-spooler',
    'kopano-dagent',
    'kopano-utils',
    'kopano-backup',
    'kopano-monitor',
    'kopano-search',
    'kopano-lang',
    'kopano-presence',
    'kopano-client',
    'kopano-contacts',
    'kopano-ical',
    'kopano-webapp',
    'kopano-webapp-lang',
    'kopano-webapp-plugin-contactfax',
    'kopano-webapp-plugin-delayeddelivery',
    'kopano-webapp-plugin-filepreviewer',
    'kopano-webapp-plugin-folderwidgets',
    'kopano-webapp-plugin-gmaps',
    'kopano-webapp-plugin-pimfolder',
    'kopano-webapp-plugin-quickitems',
    'kopano-webapp-plugin-titlecounter',
    'kopano-webapp-plugin-webappmanual',
    'z-push-common',
    'z-push-config-apache',
    'z-push-backend-kopano',
    'z-push-ipc-sharedmemory',
);
