<?php

/**
 * Kopano services summary view.
 *
 * @category   apps
 * @package    kopano
 * @subpackage views
 * @author     ClearFoundation <developer@clearfoundation.com>
 * @copyright  2016 ClearFoundation
 * @license    http://www.gnu.org/copyleft/gpl.html GNU General Public License version 3 or later
 * @link       http://www.clearfoundation.com/docs/developer/apps/kopano/
 */

///////////////////////////////////////////////////////////////////////////////
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.  
//  
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->lang->load('kopano');
$this->lang->load('base');

///////////////////////////////////////////////////////////////////////////////
// Headers
///////////////////////////////////////////////////////////////////////////////

$headers = array(
    lang('kopano_service'),
    lang('base_status'),
);

///////////////////////////////////////////////////////////////////////////////
// Anchors
///////////////////////////////////////////////////////////////////////////////

$anchors = array();

///////////////////////////////////////////////////////////////////////////////
// Items
///////////////////////////////////////////////////////////////////////////////

foreach ($services as $service => $details) {
    if ($details['running_state']) {
        $status = '<span class="theme-text-ok">' . lang('base_running') . '<span>';
        $action = '/app/' . $basename . '/services/stop/' . $service;
        $anchor = array(anchor_custom($action, lang('base_stop')));
    } else {
        $status = '<span class="theme-text-alert">' . lang('base_stopped') . '</span>';
        $action = '/app/' . $basename . '/services/start/' . $service;
        $anchor = array(anchor_custom($action, lang('base_start')));
    }

    $item['title'] = $ip . " - " . $hostname;
    $item['action'] = $action;
    $item['anchors'] = button_set($anchor);
    $item['details'] = array(
        $details['description'],
        $status
    );

    $items[] = $item;
}

///////////////////////////////////////////////////////////////////////////////
// Summary table
///////////////////////////////////////////////////////////////////////////////

echo summary_table(
    lang('kopano_kopano_services'),
    $anchors,
    $headers,
    $items
);
