<?php

/////////////////////////////////////////////////////////////////////////////
// General information
/////////////////////////////////////////////////////////////////////////////

$server_name = (empty($_SERVER['SERVER_NAME'])) ? '127.0.0.1' : $_SERVER['SERVER_NAME'];

$app['basename'] = 'kopano_basic';
$app['version'] = '2.3.7';
$app['release'] = '1';
$app['vendor'] = 'ClearCenter';
$app['packager'] = 'ClearCenter';
$app['license'] = 'Proprietary';
$app['license_core'] = 'Proprietary';
$app['description'] = lang('kopano_basic_app_description');
$app['tooltip'] = sprintf(lang('kopano_app_tooltip'), "<a href='https://" . $server_name . "/webapp' target='_blank'>https://" . $server_name . "/webapp</a>");
$app['powered_by'] = array(
    'vendor' => array(
        'name' => 'Kopano',
        'url' => 'https://kopano.com',
    ),
    'packages' => array(
        'kopano-common' => array(
            'name' => 'Kopano Core',
        ),
        'kopano-webapp' => array(
            'name' => 'Kopano Webapp',
        ),
    ),
);

/////////////////////////////////////////////////////////////////////////////
// App name and categories
/////////////////////////////////////////////////////////////////////////////

$app['name'] = lang('kopano_basic_app_name');
$app['category'] = lang('base_category_server');
$app['subcategory'] = lang('base_subcategory_communication_and_collaboration');

/////////////////////////////////////////////////////////////////////////////
// Controllers
/////////////////////////////////////////////////////////////////////////////

$app['controllers']['kopano_basic']['title'] = $app['name'];
$app['controllers']['settings']['title'] = lang('base_settings');
$app['controllers']['licenses']['title'] = lang('kopano_basic_licenses');

/////////////////////////////////////////////////////////////////////////////
// Packaging
/////////////////////////////////////////////////////////////////////////////

$app['core_obsoletes'] = array(
    //'app-kopano-community-core',
);

$app['obsoletes'] = array(
    //'app-kopano-community',
);

$app['requires'] = array(
    'app-accounts',
    'app-groups',
    'app-users',
    'app-network',
    'app-smtp',
    'app-kopano => 1:2.3.3'
);

$app['core_requires'] = array(
    'app-kopano-core',
    // TODO - Depedency issue 'kopano-dsd',
);

$app['core_directory_manifest'] = array(
    '/var/clearos/kopano_basic' => array(),
    '/var/clearos/kopano_basic/backup' => array(
        'mode' => '0700',
        'owner' => 'root',
        'group' => 'root'
    )
);

$app['core_file_manifest'] = array(
    'kopano_basic' => array('target' => '/var/clearos/clearcenter/subscriptions/kopano_basic'),
    'kopano-dsd.php' => array('target' => '/var/clearos/base/daemon/kopano-dsd.php'),
    'clearos-kopano-backup' => array(
        'target' => '/usr/sbin/clearos-kopano-backup',
        'mode' => '0755',
        'owner' => 'root',
        'group' => 'root',
    )
);

/////////////////////////////////////////////////////////////////////////////
// App Removal Dependencies
/////////////////////////////////////////////////////////////////////////////

$app['delete_dependency'] = array(
    'app-kopano',
    'app-kopano-core',
    'app-kopano-basic',
    'app-kopano-basic-core',
    'app-kopano-extension',
);
