<?php

/**
 * Kopano Basic for ClearOS license view.
 *
 * @category   apps
 * @package    kopano-basic
 * @subpackage views
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2016 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/kopano_basic/
 */

///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->lang->load('kopano_basic');

///////////////////////////////////////////////////////////////////////////////
// Headers
///////////////////////////////////////////////////////////////////////////////

$headers = array(
    lang('kopano_basic_license_file'),
    lang('kopano_basic_serial_number'),
);

///////////////////////////////////////////////////////////////////////////////
// Anchors
///////////////////////////////////////////////////////////////////////////////

$anchors = array(anchor_add('/app/kopano_basic/licenses/add'));

///////////////////////////////////////////////////////////////////////////////
// Items
///////////////////////////////////////////////////////////////////////////////

foreach ($licenses as $file => $serial) {

    $detail_buttons = button_set(
        array(
            anchor_edit('/app/kopano_basic/licenses/edit/' . $file, 'high'),
            anchor_delete('/app/kopano_basic/licenses/delete/' . $file, 'high')
        )
    );

    $item['title'] = $file;
    $item['action'] = '/app/kopano_basic/licenses/edit/' . $file;
    $item['anchors'] = $detail_buttons;
    $item['details'] = array(
        $file,
        $serial,
    );

    $items[] = $item;
}

///////////////////////////////////////////////////////////////////////////////
// Summary table
///////////////////////////////////////////////////////////////////////////////

echo summary_table(
    lang('kopano_basic_licenses'),
    $anchors,
    $headers,
    $items
);
